# Generated by Django 3.0 on 2020-05-29 03:41
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models

import utils.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('language', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Studio',
            fields=[
                ('id', models.CharField(db_column='STUDIO_ID', max_length=15, primary_key=True, serialize=False)),
                ('name', models.CharField(db_column='STUDIO_NAME', max_length=50)),
                ('datetime_created', models.DateTimeField(auto_now_add=True, db_column='CREATED_DATE')),
                ('account_created',
                 models.ForeignKey(db_column='CREATED_BY', on_delete=django.db.models.deletion.CASCADE,
                                   related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'STM_STUDIO',
                'ordering': ['-datetime_created'],
                'managed': settings.IS_MIGRATE,
                'default_permissions': ('view', 'add', 'change', 'delete'),
            },
            bases=(utils.fields.SaveMixin, models.Model),
        ),
        migrations.CreateModel(
            name='AKA',
            fields=[
                ('studio', models.ForeignKey(db_column='STUDIO_ID', on_delete=django.db.models.deletion.CASCADE, primary_key=settings.IS_ORA, serialize=False, to='studio.Studio')),
                ('name', models.CharField(db_column='STUDIO_NAME', max_length=100)),
                ('language', models.ForeignKey(db_column='LANGUAGE_CODE', on_delete=django.db.models.deletion.CASCADE,
                                               related_name="publish_country_set",
                                               serialize=False, to='language.Language')),
                ('account_created',
                 models.ForeignKey(db_column='CREATED_BY', on_delete=django.db.models.deletion.CASCADE,
                                   related_name='+', to=settings.AUTH_USER_MODEL)),
                ('datetime_created', models.DateTimeField(auto_now_add=True, db_column='CREATED_DATE')),
            ],
            options={
                'db_table': 'STM_STUDIO_AKA',
                'ordering': ['-datetime_created'],
                'managed': settings.IS_MIGRATE,
                'default_permissions': ('view', 'view_detail', 'add', 'change', 'delete'),
            },
        ),
    ]
